<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for objReturnProperties StructType
 * @subpackage Structs
 */
class ObjReturnProperties extends AbstractStructBase
{
    /**
     * The blnSuccess
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $blnSuccess;
    /**
     * The intException
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $intException;
    /**
     * The strException
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $strException;
    /**
     * The strTransId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $strTransId;
    /**
     * The strData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $strData;
    /**
     * The strVersion
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $strVersion;
    /**
     * Constructor method for objReturnProperties
     * @uses ObjReturnProperties::setBlnSuccess()
     * @uses ObjReturnProperties::setIntException()
     * @uses ObjReturnProperties::setStrException()
     * @uses ObjReturnProperties::setStrTransId()
     * @uses ObjReturnProperties::setStrData()
     * @uses ObjReturnProperties::setStrVersion()
     * @param bool $blnSuccess
     * @param int $intException
     * @param string $strException
     * @param string $strTransId
     * @param string $strData
     * @param string $strVersion
     */
    public function __construct($blnSuccess = null, $intException = null, $strException = null, $strTransId = null, $strData = null, $strVersion = null)
    {
        $this
            ->setBlnSuccess($blnSuccess)
            ->setIntException($intException)
            ->setStrException($strException)
            ->setStrTransId($strTransId)
            ->setStrData($strData)
            ->setStrVersion($strVersion);
    }
    /**
     * Get blnSuccess value
     * @return bool
     */
    public function getBlnSuccess()
    {
        return $this->blnSuccess;
    }
    /**
     * Set blnSuccess value
     * @param bool $blnSuccess
     * @return \StructType\ObjReturnProperties
     */
    public function setBlnSuccess($blnSuccess = null)
    {
        // validation for constraint: boolean
        if (!is_null($blnSuccess) && !is_bool($blnSuccess)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($blnSuccess, true), gettype($blnSuccess)), __LINE__);
        }
        $this->blnSuccess = $blnSuccess;
        return $this;
    }
    /**
     * Get intException value
     * @return int
     */
    public function getIntException()
    {
        return $this->intException;
    }
    /**
     * Set intException value
     * @param int $intException
     * @return \StructType\ObjReturnProperties
     */
    public function setIntException($intException = null)
    {
        // validation for constraint: int
        if (!is_null($intException) && !(is_int($intException) || ctype_digit($intException))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($intException, true), gettype($intException)), __LINE__);
        }
        $this->intException = $intException;
        return $this;
    }
    /**
     * Get strException value
     * @return string|null
     */
    public function getStrException()
    {
        return $this->strException;
    }
    /**
     * Set strException value
     * @param string $strException
     * @return \StructType\ObjReturnProperties
     */
    public function setStrException($strException = null)
    {
        // validation for constraint: string
        if (!is_null($strException) && !is_string($strException)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($strException, true), gettype($strException)), __LINE__);
        }
        $this->strException = $strException;
        return $this;
    }
    /**
     * Get strTransId value
     * @return string|null
     */
    public function getStrTransId()
    {
        return $this->strTransId;
    }
    /**
     * Set strTransId value
     * @param string $strTransId
     * @return \StructType\ObjReturnProperties
     */
    public function setStrTransId($strTransId = null)
    {
        // validation for constraint: string
        if (!is_null($strTransId) && !is_string($strTransId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($strTransId, true), gettype($strTransId)), __LINE__);
        }
        $this->strTransId = $strTransId;
        return $this;
    }
    /**
     * Get strData value
     * @return string|null
     */
    public function getStrData()
    {
        return $this->strData;
    }
    /**
     * Set strData value
     * @param string $strData
     * @return \StructType\ObjReturnProperties
     */
    public function setStrData($strData = null)
    {
        // validation for constraint: string
        if (!is_null($strData) && !is_string($strData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($strData, true), gettype($strData)), __LINE__);
        }
        $this->strData = $strData;
        return $this;
    }
    /**
     * Get strVersion value
     * @return string|null
     */
    public function getStrVersion()
    {
        return $this->strVersion;
    }
    /**
     * Set strVersion value
     * @param string $strVersion
     * @return \StructType\ObjReturnProperties
     */
    public function setStrVersion($strVersion = null)
    {
        // validation for constraint: string
        if (!is_null($strVersion) && !is_string($strVersion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($strVersion, true), gettype($strVersion)), __LINE__);
        }
        $this->strVersion = $strVersion;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ObjReturnProperties
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
